Alfresco Max Version Policy

Document created by alfresco Employee on Jun 19, 2018
Version 1Show Document
  • View in full screen mode

Alfresco Max Version Policy

Author: Jared Ottley (jared.ottley@alfresco.com)
Date: 12/23/2014
Version: 0.0.7-1

 

Summary
Alfresco Max Version Policy limits the number of versions that are created for a versioned node. The default value is set for 10 versions per node. This can be overridden by setting maxVersions= in alfresco-global.properties file.

 

Install
Alfresco Max Version Policy is delivered as an AMP (https://github.com/jottley/alfresco-maxversion-policy/blob/master/max-version-policy-0.0.6.amp). Copy the AMP into the amps directory and run the apply_amps.[sh|bat] script. Alfresco must not be running when you apply the AMP.

 

Alfresco Minimum Version required: 4.2
Alfresco Maximum Version required: 5.0

 

Contributions
Konst Sergeev - Allow disabling the policy by setting maxVersions to zero
Konst Sergeev - Clean long history of legacy nodes completely

OwnerJared Ottley
Versions

 

Enterprise 4.2.x

Enterprise 5.0.x

License TypeGNU General Public License (GPL)
Project PageGitHub - jottley/alfresco-maxversion-policy 
Download PageReleases · jottley/alfresco-maxversion-policy · GitHub 
Tags
Component Type
Extension PointsPublic API, Behavior
InstallationAMP
ProductsRepository 

Attachments

    Outcomes